SoundTestState = class(Group, function(o)
	Group.init(o)
	local sounds = {
		'aimShoot',
		'aimMine',
		'explosion',
		'levelStart',
		'enemyAdded',
		'healRoom',
		'gull_bullet_kill',
		'gull_hit_building',
		'mine_hit_enemy',
		'mine_time_out',
		'kit_hit_building',
		'kid_kill',
		'lightning_hit',
		'lightning_shoot',
		'levelWon',
		'roomAdded'
	}
	local left, top = 0, 0
	local bSize = bludG.camera.w/5/r_scale
	for i,v in ipairs(sounds) do
		local sb = o:add(DragArea(left, top, bSize*r_scale, bSize*r_scale))
		left = left + bSize*r_scale
		if left+bSize*r_scale > bludG.camera.w then
			top = top+bSize*r_scale
			left = 0
		end
		sb.sprite = sprites['tiles']['white.png']
		sb.drawType = 'stretched'
		local r, g, b = HSVtoRGB((i-1)/(#sounds-1), 0.5, 1)
		sb:setColor(r, g, b)
		sb.onStart = function()
			pd:startList("fromOF")
			pd:addSymbol(v)
			pd:addFloat(1)
			pd:finish("fromOF")
		end
	end
end)